Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.tier
Class Shape

    java.lang.Object
      org.apache.lucene.spatial.tier.Shape

All Implemented Interfaces:
  Serializable

Deprecated.

    @Deprecated
    public class Shape

extends Object
implements Serializable

NOTE: This API is still in flux and might change in incompatible ways in the next release.

See Also:
  Serialized Form

Constructor Summary
`Shape(String tierId)` Deprecated.

Method Summary
`void` | `addBox(double boxId)` Deprecated.
`List<Double>` | `getArea()` Deprecated.
`String` | `getTierId()` Deprecated.
`boolean` | `isInside(double boxId)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shape

    public Shape(String tierId)

  Deprecated.

Method Detail

### addBox

    public void addBox(double boxId)

  Deprecated.

### getArea

    public List<Double> getArea()

  Deprecated.

### getTierId

    public String getTierId()

  Deprecated.

### isInside

    public boolean isInside(double boxId)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD